Change the email address of the given user

Prev Next
Post
/api/v1/users/{userId}/change-email
Security
HTTP
Type bearer
Path parameters
userId
stringRequired

The ID of the user

Body parameters

The new email address for the user

object
email
string
Responses
200

OK

Expand All
object
authorization
boolean
data
object
message
string
error_code
integer
error_message
string
error_status
boolean
Examplefalse
401

Unauthorized

object
error_code
integer
error_message
string
error_status
boolean
403

Forbidden - The user status is still pending

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
404

Not Found

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
422

Unprocessable Entity

Expand All
object
authorization
boolean
Exampletrue
data
object
message
string
error_code
integer | null
error_message
string | null
error_status
boolean
500

Internal Server Error

object
authorization
boolean
data
Array of string
Example[]
string
error_code
integer | null
error_message
string | null
error_status
boolean